<template>
  <div id="resourceview">
    <h4 style="text-align: left;">{{ $t('resources') }}:</h4>    
    <component :is="currentResourceComponent" v-bind:resourceId="this.resourceId" /> 
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import DataSource from './components/DataSource.vue';
import URLSearchParams from '@ungap/url-search-params';

export default Vue.extend({
  name: 'resourceview',
  data() {
    return {
      currentResourceComponent: 'DataSource',
      resourceId: '',
    };
  },
  methods: {
    getResourceId() {
      const urlParams = new URLSearchParams(window.location.search);
      if (urlParams.has('resource_id')) {
        return urlParams.get('resource_id');
      }
      return null;
    },
  },
  created() {
    this.resourceId = this.getResourceId();
  },
  components: {
    DataSource,
  },
});
</script>

<style>
#resourceview h4 {
  color: #000;
  font-family: "Avenir", Helvetica, Arial, sans-serif;
}
</style>
